<html>
<!--    cibl&eacute; par:  liste-contrat.php

		cible: toute les pages ajout...php
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
						

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-code_contrat
							-code_client
 -->
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Revenu d'op&eacute;ration</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");



//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");

	

//////////////////////////////////////////////////////////////////////////////////////////////////////
//																									//
//									ETAPE= 0														//
//																									//
//////////////////////////////////////////////////////////////////////////////////////////////////////

if (empty($etape))
{
	print("<font size=3><b><center>REGISTRE DES S&Eacute;JOURS</b></center><br>");
	print("<center>Entrez la p&eacute;riode voulu (AAAA-MM-JJ)<br><br>");
	print("<table width=200 border=0><tr><td>");
	print("Date de d&eacute;but:</td><td>");
	print("Date de fin:</td></tr>");
	print("<form action=\"registre-sejours.php?Bsession_id=".$Bsession_id."\" method=\"get\" name=\"registre\">");
			print("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
			print("<input type=\"hidden\" name=\"etape\" value=1>");

	print("<tr><td>");
	print("<input type=\"text\" name=\"date_debut\" align=\"top\" maxlength=\"10\" size=\"15\">");

	print("</td><td>");
	print("<input type=\"text\" name=\"date_fin\" align=\"top\" maxlength=\"10\" size=\"15\">");
	
	print("</td><td>");
	print("<input type=\"submit\" name=\"suite\" value=\"Suite\">");
	print("</form>");
	
	
	print("</td></tr></table>");
}






//////////////////////////////////////////////////////////////////////////////////////////////////////
// 1 - RECHERCHE TABLE INFORMATION																	//
//////////////////////////////////////////////////////////////////////////////////////////////////////
elseif($etape == 1)
{
	$sql = "SELECT base_information.code_contrat, base_information.date_debut, base_information.date_fin,
		 		   base_information.nb_nuit, base_information.nb_jeune, base_information.j_pauvre, base_information.famille_j,
				   base_information.famille_a, base_information.famille_j_pauvre, base_information.famille_a_pauvre,
				   base_information.handicap,  base_information.handicap_pauvre
	          FROM base_information
		    /* WHERE base_information.date_debut >= '$date_debut'
			   AND base_information.date_fin <= '$date_fin'*/
		  ORDER BY base_information.date_debut;";
	$result = mysql_query($sql) or die ("Ne peut lire dans la table des informations".$sql);
	$num = mysql_numrows($result);

	//Affectation des variables principales
	if ($num)
	{
		
		
			
		
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		// X - AFFICHER LES R&Eacute;SULTATS DANS LE TABLEAU														//
		//////////////////////////////////////////////////////////////////////////////////////////////////////


		$j = 0;
		$compteur = 0;
		while ($row = mysql_fetch_row ($result))
		{
		
		
			if($compteur == 29)
			{
				print("</table><br><br>");
				$compteur = 0;
			}
			if ($compteur == 0)
			{
				TitreTableau();
			}
							
			
			$code_contrat = $row[0];
			$debut = $row[1];
			$fin = $row[2];
			$nb_nuit = $row[3];
			$nb_jeune = $row[4];
			$j_pauvre = $row[5];
			$famille_j = $row[6];
			$famille_a = $row[7];
			$famille_j_pauvre = $row[8];
			$famille_a_pauvre = $row[9];
			$handicap = $row[10];
			$handicap_pauvre = $row[11];

			$j_non_pauvre = ($nb_jeune-$j_pauvre);
			$nuite_j = ($j_pauvre*$nb_nuit);
			$nuite_j_pauvre = ($j_non_pauvre*$nb_nuit);
			$nuite_f_a_pauvre = ($famille_a_pauvre*$nb_nuit);
			$nuite_f_a = ($famille_a*$nb_nuit);
			$nuite_f_j_pauvre = ($famille_j_pauvre*$nb_nuit);
			$nuite_f_j = ($famille_j*$nb_nuit);
			$nuite_handicap = ($handicap*$nb_nuit);
			$nuite_handicap_pauvre = ($handicap_pauvre*$nb_nuit);
			
			$total_def = ($j_pauvre+$famille_a_pauvre+$famille_j_pauvre+$handicap_pauvre);
			$total_nondef = ($j_non_pauvre+$famille_a+$famille_j+$handicap);
			$total_def_nuite = ($total_def*$nb_nuit);
			$total_nondef_nuite = ($total_nondef*$nb_nuit);
			
			
			//calcul des totaux
			$tot01 = $tot01 + $nb_nuit;
			$tot02 = $tot02 + $j_pauvre;
			$tot03 = $tot03 + $nuite_j;
			$tot04 = $tot04 + $j_non_pauvre;
			$tot05 = $tot05 + $nuite_j_pauvre;
			$tot06 = $tot06 + $famille_a_pauvre;
			$tot07 = $tot07 + $nuite_f_a_pauvre;
			$tot08 = $tot08 + $famille_a;
			$tot09 = $tot09 + $nuite_f_a;
			$tot10 = $tot10 + $famille_j_pauvre;
			$tot11 = $tot11 + $nuite_f_j_pauvre;
			$tot12 = $tot12 + $famille_j;
			$tot13 = $tot13 + $nuite_f_j;
			$tot14 = $tot14 + $handicap_pauvre;
			$tot15 = $tot15 + $nuite_handicap_pauvre;
			$tot16 = $tot16 + $handicap;
			$tot17 = $tot17 + $nuite_handicap;
			$tot18 = $tot18 + $total_def;
			$tot19 = $tot19 + $total_def_nuite;
			$tot20 = $tot20 + $total_nondef;
			$tot21 = $tot21 + $total_nondef_nuite;
			
			
			
			//affichage des donn&eacute;e
			print("<td><font size=3><center>".$j++."</td>");							//no de la ligne
			print("<td><font size=3><center>".$debut."</td>");						//date arriv&eacute;e
			print("<td><font size=3><center>".$fin."</td>");						//date d&eacute;part
			print("<td><font size=3><center>".$nb_nuit."</td>");						//nuit&eacute;es
			print("<td><font size=3><center>".$j_pauvre."</td>");						//jeunes d&eacute;favoris&eacute;e
				print("<td><font size=3><center>".$nuite_j."</td>");					
			print("<td><font size=3><center>".$j_non_pauvre."</td>");					//jeune non d&eacute;favoris&eacute;e
				print("<td><font size=3><center>".$nuite_j_pauvre."</td>");					
			print("<td><font size=3><center>".$famille_a_pauvre."</td>");				//famille:adultes d&eacute;favoris&eacute;s
				print("<td><font size=3><center>".$nuite_f_a_pauvre."</td>");
			print("<td><font size=3><center>".$famille_a."</td>");						//famille:adultes non d&eacute;favoris&eacute;s
				print("<td><font size=3><center>".$nuite_f_a."</td>");
			print("<td><font size=3><center>".$famille_j_pauvre."</td>");				//famille:jeunes d&eacute;favoris&eacute;e
				print("<td><font size=3><center>".$nuite_f_j_pauvre."</td>");
			print("<td><font size=3><center>".$famille_j."</td>");						//famille:jeunes non d&eacute;favoris&eacute;e
				print("<td><font size=3><center>".$nuite_f_j."</td>");
			print("<td><font size=3><center>".$handicap_pauvre."</td>");				//handicap&eacute;es d&eacute;favoris&eacute;e
				print("<td><font size=3><center>".$nuite_handicap_pauvre."</td>");
			print("<td><font size=3><center>".$handicap."</td>");						//handicap&eacute;es non d&eacute;favoris&eacute;e
				print("<td><font size=3><center>".$nuite_handicap."</td>");
			print("<td><font size=3><center>".$total_def."</td>");
			print("<td><font size=3><center>".$total_def_nuite."</td>");
			print("<td><font size=3><center>".$total_nondef."</td>");
			print("<td><font size=3><center>".$total_nondef_nuite."</td>");	
			print("</tr>");		
			
			$compteur++;
		
		}
		
		
		//LIGNE DES TOTAUX
		print("<tr><td colspan=3><font size=3><div align=right><b>TOTAL</td>");		
		print("<td><font size=3><center><b>".$tot01."</td>");
		print("<td><font size=3><center><b>".$tot02."</td>");	
		print("<td><font size=3><center><b>".$tot03."</td>");
		print("<td><font size=3><center><b>".$tot04."</td>");
		print("<td><font size=3><center><b>".$tot05."</td>");
		print("<td><font size=3><center><b>".$tot06."</td>");
		print("<td><font size=3><center><b>".$tot07."</td>");
		print("<td><font size=3><center><b>".$tot08."</td>");
		print("<td><font size=3><center><b>".$tot09."</td>");
		print("<td><font size=3><center><b>".$tot10."</td>");
		print("<td><font size=3><center><b>".$tot11."</td>");
		print("<td><font size=3><center><b>".$tot12."</td>");
		print("<td><font size=3><center><b>".$tot13."</td>");
		print("<td><font size=3><center><b>".$tot14."</td>");
		print("<td><font size=3><center><b>".$tot15."</td>");
		print("<td><font size=3><center><b>".$tot16."</td>");
		print("<td><font size=3><center><b>".$tot17."</td>");
		print("<td><font size=3><center><b>".$tot18."</td>");
		print("<td><font size=3><center><b>".$tot19."</td>");
		print("<td><font size=3><center><b>".$tot20."</td>");
		print("<td><font size=3><center><b>".$tot21."</td>");																	
		print("</tr></table><br><br>");	
	

		$pourcentage = (($tot19/($tot21+$tot19))*100);
		//NOTE DE BAS DE PAGE
	
		if ($compteur <=21)
		{
			print("<div align=right><u>Total  = <b>".$pourcentage."%</u></div><br>");
			print("*  Il est &agrave; noter qu'une personne de 18 ans et plus, non handicap&eacute;e et ne faisant pas partie d'une famille fr&eacute;quentant le camp, ne peut pas figurer sur ce registre.<br><br>");
			print("   Nuit&eacute;es admissibles: une personne doit avoir s&eacute;journ&eacute; au moins deux nuits cons&eacute;cutives au camp et avoir profit&eacute; de tous les services<br> du camp (h&eacute;bergement, restauration, programmation et animation) pour que son s&eacute;jour puisse figurer sur ce registre.");
		}
		else
		{
			
			print("<br><br><br><br><br><br><br><br>");
			print("<div align=right><u>Total = <b>".$pourcentage."%</u></div><br>");
			print("<b>*  Il est &agrave; noter qu'une personne de 18 ans et plus, non handicap&eacute;e et ne faisant pas partie d'une famille fr&eacute;quentant le camp, ne peut pas figurer sur ce registre.<br><br>");
			print("   Nuit&eacute;es admissibles: une personne doit avoir s&eacute;journ&eacute; au moins deux nuits cons&eacute;cutives au camp et avoir profit&eacute; de tous les services<br> du camp (h&eacute;bergement, restauration, programmation et animation) pour que son s&eacute;jour puisse figurer sur ce registre.");
		}	
	
				
	}	
		
}




function TitreTableau()
{
	global $date_debut,$date_fin;

	print("<font size=3><b><center>REGISTRE DES S&Eacute;JOURS</b></center><br>");
	print("<b>pour la p&eacute;riode ".$date_debut." &agrave; ".$date_fin.".</b><br>");
	print("<table border=1 cellpadding=0 cellspacing=0 width=1300px>");

	//PREMIER TITRE
	print("<tr><td colspan=4 valign=bottom><font size=3><center><b>S&Eacute;JOUR</td>");
	print("<td colspan=20 valign=bottom><font size=3><center><b>NOMBRE DE PERSONNES ET DE NUIT&Eacute;ES ADMISSIBLES PAR S&Eacute;JOUR ET PAR TYPE DE CLIENT&Egrave;LE*</td></tr><tr>");
	
	//DEUXIEME TITRE
	print("<td width=100px rowspan=4 valign=bottom><font size=3><center><b>No de la ligne</td>");
	print("<td width=200px rowspan=4 valign=bottom><font size=3><center><b>Date arriv&eacute;e au camp</td>");
	print("<td width=200px rowspan=4 valign=bottom><font size=3><center><b>Date d&eacute;part du camp</td>");
	print("<td width=100px rowspan=4 valign=bottom><font size=3><center><b>Nombre de nuits dans le s&eacute;jour</td></tr><tr>");
	
	print("<td colspan=4 valign=bottom><font size=3><center><b>JEUNES</td>");
	print("<td colspan=4 valign=bottom><font size=3><center><b>FAMILLE ADULTES</td>");
	print("<td colspan=4 valign=bottom><font size=3><center><b>FAMILLE JEUNES</td>");
	print("<td colspan=4 valign=bottom><font size=3><center><b>PERSONNES HANDICAP&Eacute;ES</td>");
	print("<td colspan=4 valign=bottom><font size=3><center><b>TOTAL</td></tr><tr>");
		
	//TROISIEME TITRE
	print("<td colspan=2 valign=bottom><font size=3><center><b>D&eacute;favoris&eacute;e</td>");
	print("<td colspan=2 valign=bottom><font size=3><center><b>Non d&eacute;favoris&eacute;e</td>");
	print("<td colspan=2 valign=bottom><font size=3><center><b>D&eacute;favoris&eacute;e</td>");
	print("<td colspan=2 valign=bottom><font size=3><center><b>Non d&eacute;favoris&eacute;e</td>");		
	print("<td colspan=2 valign=bottom><font size=3><center><b>D&eacute;favoris&eacute;e</td>");		
	print("<td colspan=2 valign=bottom><font size=3><center><b>Non d&eacute;favoris&eacute;e</td>");
	print("<td colspan=2 valign=bottom><font size=3><center><b>D&eacute;favoris&eacute;e</td>");
	print("<td colspan=2 valign=bottom><font size=3><center><b>Non d&eacute;favoris&eacute;e</td>");
	print("<td colspan=2 valign=bottom><font size=3><center><b>D&eacute;favoris&eacute;e</td>");
	print("<td colspan=2 valign=bottom><font size=3><center><b>Non d&eacute;favoris&eacute;e</td></tr><tr>");
		
	//QUATRIEME TITRE
	print("<td width=50px valign=bottom><font size=3><center><b>Pers.</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Nuit&eacute;es</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Pers.</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Nuit&eacute;es</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Pers.</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Nuit&eacute;es</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Pers.</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Nuit&eacute;es</td>");		
	print("<td width=50px valign=bottom><font size=3><center><b>Pers.</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Nuit&eacute;es</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Pers.</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Nuit&eacute;es</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Pers.</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Nuit&eacute;es</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Pers.</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Nuit&eacute;es</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Pers.</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Nuit&eacute;es</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Pers.</td>");
	print("<td width=50px valign=bottom><font size=3><center><b>Nuit&eacute;es</td></tr>");
}






//BAS DE PAGE**********************************************************************
	
print("<hr><table width=100%><tr><td width=50%><center>");
	//Afficher le bouton de retour au menu principal.
	
	print("<a href='rapport.php?Bsession_id=".$Bsession_id."'><img src=bouton2.gif border=0></a>");
	
	print("<a href='../menu-base.php?Bsession_id=".$Bsession_id."'><img src=bouton1.gif border=0></a>");

print("</td><tr></table>");	
	//Fin du formulaire.

	
	





	
?>

</body>
</html>	
	
	
	
	
